import 'package:flutter_bloc/flutter_bloc.dart';
import 'package:smart_hotel_app/views/home/device/cubit/device_state.dart';

class DeviceCubit extends Cubit<DeviceState> {
  DeviceCubit() : super(DeviceState(deviceInfo: _getDeviceInfo()));

  static DeviceInfo _getDeviceInfo() {
    return const DeviceInfo(
      deviceName: '客房305 智能空开',
      deviceId: 'A-305',
      location: '3楼客房区',
      status: '在线',
      voltage: '220V',
      current: '2.36A',
      power: '520W',
      temperature: '38°C',
      powerData: [
        40, 60, 85, 98, 85, 72, 60, 48, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
        0, 0, 0, 0
      ],
      tempData: [
        28, 30, 32, 35, 33, 31, 30, 29, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
        0, 0, 0, 0
      ],
    );
  }

  void remotePowerOn() {}

  void remotePowerOff() {}
}